This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 851910 - (CVE-2012-1972, CVE-2012-1973, CVE-2012-1974, CVE-2012-1975, CVE-2012-1976, CVE-2012-3956, CVE-2012-3957, CVE-2012-3958, CVE-2012-3959, CVE-2012-3960, CVE-2012-3961, CVE-2012-3962, CVE-2012-3963, CVE-2012-3964) Mozilla: Multiple Use-after-free issues (MFSA 2012-58)
Mozilla: Multiple Use-after-free issues (MFSA 2012-58)
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
urgent Severity urgent
: ---
: ---
Assigned To: Red Hat Product Security
impact=critical,public=20120828,repor...
: Security
Depends On:
Blocks: 847589
  Show dependency treegraph
 
Reported: 2012-08-26 23:22 EDT by Huzaifa S. Sidhpurwala
Modified: 2014-08-29 12:25 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-29 01:27:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Huzaifa S. Sidhpurwala 2012-08-26 23:22:41 EDT
Security researcher Abhishek Arya (Inferno) of Google Chrome Security Team discovered a series of use-after-free issues using the Address Sanitizer tool. Many of these issues are potentially exploitable, allowing for remote code execution.

Reference:
http://www.mozilla.org/security/announce/2012/mfsa2012-58.html

Acknowledgements:

Red Hat would like to thank the Mozilla project for reporting this issue. Upstream acknowledges Security researcher Abhishek Arya (Inferno) of Google Chrome Security Team as the original reporter of this flaw.
Comment 1 errata-xmlrpc 2012-08-29 00:24:02 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5
  Red Hat Enterprise Linux 6

Via RHSA-2012:1211 https://rhn.redhat.com/errata/RHSA-2012-1211.html
Comment 2 errata-xmlrpc 2012-08-29 00:44:32 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6
  Red Hat Enterprise Linux 5

Via RHSA-2012:1210 https://rhn.redhat.com/errata/RHSA-2012-1210.html

Note You need to log in before you can comment on or make changes to this bug.